"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useInterval = (callback, delay) => {
    const savedCallback = react_1.useRef();
    react_1.useEffect(() => {
        savedCallback.current = callback;
    }, [callback]);
    react_1.useEffect(() => {
        if (delay !== null) {
            const timerID = setInterval(() => {
                if (savedCallback && savedCallback.current) {
                    savedCallback.current();
                }
            }, delay);
            return () => clearInterval(timerID);
        }
    }, [delay]);
};
exports.default = useInterval;
//# sourceMappingURL=useInterval.js.map